Package org.springframework.aop.aspectj

# Class AspectJPointcutAdvisor

java.lang.Object
org.springframework.aop.aspectj.AspectJPointcutAdvisor

All Implemented Interfaces:
  `Advisor`, `PointcutAdvisor`, `org.springframework.core.Ordered`

public class AspectJPointcutAdvisor extends Object implements PointcutAdvisor, org.springframework.core.Ordered
`AspectJPointcutAdvisor` adapts an `AbstractAspectJAdvice` to the `PointcutAdvisor` interface.

Since:
  2.0
Author:
  Adrian Colyer, Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`AspectJPointcutAdvisor(AbstractAspectJAdvice advice)`
Create a new AspectJPointcutAdvisor for the given advice.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`Advice`
`getAdvice()`
Return the advice part of this aspect.
`String`
`getAspectName()`
Return the name of the aspect (bean) in which the advice was declared.
`int`
`getOrder()`
`Pointcut`
`getPointcut()`
Get the Pointcut that drives this advisor.
`int`
`hashCode()`
`void`
`setOrder(int order)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

## Constructor Details

### AspectJPointcutAdvisor

public AspectJPointcutAdvisor(AbstractAspectJAdvice advice)
Create a new AspectJPointcutAdvisor for the given advice.

Parameters:
  `advice` - the AbstractAspectJAdvice to wrap

## Method Details

### setOrder

public void setOrder(int order)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### getAdvice

public Advice getAdvice()
Description copied from interface: `Advisor`
Return the advice part of this aspect. An advice may be an interceptor, a before advice, a throws advice, etc.

Specified by:
  `getAdvice` in interface `Advisor`
Returns:
  the advice that should apply if the pointcut matches
See Also:
  - `MethodInterceptor`
  - `BeforeAdvice`
  - `ThrowsAdvice`
  - `AfterReturningAdvice`

### getPointcut

public Pointcut getPointcut()
Description copied from interface: `PointcutAdvisor`
Get the Pointcut that drives this advisor.

Specified by:
  `getPointcut` in interface `PointcutAdvisor`

### getAspectName

public String getAspectName()
Return the name of the aspect (bean) in which the advice was declared.

Since:
  4.3.15
See Also:
  - `AbstractAspectJAdvice.getAspectName()`

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`